Package picard.illumina.parser

# Enum Class IlluminaFileUtil.SupportedIlluminaFormat

java.lang.Object
java.lang.Enum<IlluminaFileUtil.SupportedIlluminaFormat>
picard.illumina.parser.IlluminaFileUtil.SupportedIlluminaFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<IlluminaFileUtil.SupportedIlluminaFormat>`, `Constable`

Enclosing class:
  IlluminaFileUtil

public static enum IlluminaFileUtil.SupportedIlluminaFormat extends Enum<IlluminaFileUtil.SupportedIlluminaFormat>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Barcode`
`Bcl`
`Cbcl`
`Clocs`
`Filter`
`Locs`
`MultiTileBcl`
`MultiTileFilter`
`MultiTileLocs`
`Pos`

## Method Summary

Modifier and Type
Method
Description
`static IlluminaFileUtil.SupportedIlluminaFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IlluminaFileUtil.SupportedIlluminaFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Bcl

public static final IlluminaFileUtil.SupportedIlluminaFormat Bcl

### Cbcl

public static final IlluminaFileUtil.SupportedIlluminaFormat Cbcl

### Locs

public static final IlluminaFileUtil.SupportedIlluminaFormat Locs

### Clocs

public static final IlluminaFileUtil.SupportedIlluminaFormat Clocs

### Pos

public static final IlluminaFileUtil.SupportedIlluminaFormat Pos

### Filter

public static final IlluminaFileUtil.SupportedIlluminaFormat Filter

### Barcode

public static final IlluminaFileUtil.SupportedIlluminaFormat Barcode

### MultiTileFilter

public static final IlluminaFileUtil.SupportedIlluminaFormat MultiTileFilter

### MultiTileLocs

public static final IlluminaFileUtil.SupportedIlluminaFormat MultiTileLocs

### MultiTileBcl

public static final IlluminaFileUtil.SupportedIlluminaFormat MultiTileBcl

## Method Details

### values

public static IlluminaFileUtil.SupportedIlluminaFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IlluminaFileUtil.SupportedIlluminaFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null